libqxp::QXPContentCollector::CollectedObject< T > Class Template Reference documentation

Public Member Functions | Public Attributes | Private Attributes | List of all members
libqxp::QXPContentCollector::CollectedObject< T > Class Template Reference
Inheritance diagram for libqxp::QXPContentCollector::CollectedObject< T >:

## Public Member Functions
| CollectedObject (const std::shared_ptr< T > &obj, const ObjectHandler< T > &handler)
void | draw (const CollectedPage &page) override
unsigned | zIndex () const override
void | setZIndex (unsigned value) override
Public Member Functions inherited from libqxp::QXPContentCollector::CollectedObjectInterface
virtual | ~CollectedObjectInterface ()=default

## Public Attributes
const std::shared_ptr< T > | object

## Private Attributes
const ObjectHandler< T > | m_handler
bool | m_isProcessed

## Constructor & Destructor Documentation

## ◆ CollectedObject()

template<typename T >

libqxp::QXPContentCollector::CollectedObject< T >::CollectedObject | ( | const std::shared_ptr< T > & | obj,
|  | const ObjectHandler< T > & | handler )
| inline

## Member Function Documentation

## ◆ draw()

template<typename T >

void libqxp::QXPContentCollector::CollectedObject< T >::draw | ( | const CollectedPage & | page | ) |
| inlineoverridevirtual

Implements libqxp::QXPContentCollector::CollectedObjectInterface.

## ◆ setZIndex()

template<typename T >

void libqxp::QXPContentCollector::CollectedObject< T >::setZIndex | ( | unsigned | value | ) |
| inlineoverridevirtual

Implements libqxp::QXPContentCollector::CollectedObjectInterface.

## ◆ zIndex()

template<typename T >

unsigned libqxp::QXPContentCollector::CollectedObject< T >::zIndex | ( |  | ) | const
| inlineoverridevirtual

Implements libqxp::QXPContentCollector::CollectedObjectInterface.

## Member Data Documentation

## ◆ m_handler

template<typename T >

const ObjectHandler<T> libqxp::QXPContentCollector::CollectedObject< T >::m_handler
| private

Referenced by libqxp::QXPContentCollector::CollectedObject< T >::draw().

## ◆ m_isProcessed

template<typename T >

bool libqxp::QXPContentCollector::CollectedObject< T >::m_isProcessed
| private

Referenced by libqxp::QXPContentCollector::CollectedObject< T >::draw().

## ◆ object

template<typename T >

const std::shared_ptr<T> libqxp::QXPContentCollector::CollectedObject< T >::object

The documentation for this class was generated from the following file:

- QXPContentCollector.h